package cn.com.ty.lift.manager.library.service;

import cn.com.ty.lift.manager.library.dao.entity.Lift;
import cn.com.ty.lift.manager.library.dao.mapper.LiftMapper;
import cn.com.ty.lift.manager.library.dao.entity.model.LiftRequest;
import cn.com.xwy.boot.service.impl.BaseServiceImpl;
import cn.com.xwy.boot.web.dto.RestResponse;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author bieao
 * @date 2019/11/27
 * @description 电梯档案业务层
 */
@Service
public class LibraryService extends BaseServiceImpl {

    @Resource
    private LiftMapper mapper;

    /**
     * @description 条件查询电梯档案列表
     * @date 2019/11/27 2:10 PM
     * @param
     * @return
     */
    public RestResponse<IPage<Lift>> list(LiftRequest request) {
        IPage page = this.getPage(request);
        List<Lift> lifts = mapper.findByCondition(page, request);
        page.setRecords(lifts);
        return RestResponse.ok(page);
    }

    /**
     * @description 新增电梯
     * @date 2019/11/27 2:22 PM
     * @param
     * @return
     */
    public RestResponse add(Lift lift){
        Integer result = mapper.insertSelective(lift);
        return RestResponse.ok(result);
    }

    /**
     * @description 修改电梯
     * @date 2019/11/27 2:22 PM
     * @param
     * @return
     */
    public RestResponse modify(Lift lift){
        Integer result = mapper.updateByPrimaryKeySelective(lift);
        return RestResponse.ok(result);
    }
}
